跳转到主要内容
GET
/
api
/
v1
/
orders
订单列表
curl --request GET \
  --url https://api.example.com/api/v1/orders

订单列表

返回您的订单分页列表,最新的在前。

查询参数

page
number
页码(默认 1)
page_size
number
每页结果数(默认 50,最大 100)
status
string
按状态筛选(例如 filledpendingfailed
type
string
按订单类型筛选 —— energybandwidth

响应

返回 orders(订单对象数组)、totalpagepage_size

示例

curl "https://api.tronrental.com/v1/orders?type=energy&status=filled&page=1" \
  -H "X-API-Key: your_api_key"
Response
{
  "orders": [
    {
      "id": 12345,
      "type": "energy",
      "target_address": "TRecipientAddress...",
      "volume": 65000,
      "duration": "1h",
      "price_trx": "1.79",
      "status": "filled",
      "delegate_txid": "a1b2c3d4e5f6...",
      "undelegate_txid": null,
      "reclaim_at": null,
      "source": "api",
      "created_at": "2026-06-10T04:30:00Z"
    }
  ],
  "total": 42,
  "page": 1,
  "page_size": 50
}